# we don't want the auto require to add require on /usr/bin/ocaml
%global __requires_exclude %{_bindir}/ocaml

Name:           menhir
Version:        20151112
Release:        %mkrel 2
Summary:        Menhir is a LR(1) parser generator for OCaml
License:        LGPL and QPL with static compilation exception
Group:          Development/OCaml
URL:            http://pauillac.inria.fr/~fpottier/menhir/
Source0:        http://pauillac.inria.fr/~fpottier/menhir/menhir-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib

%description
Menhir is a LR(1) parser generator for OCaml. It is mostly compatible
with the standard ocamlyacc and has the following enhancements:

- it accepts LR(1) grammars,
- it offers parameterized nonterminal symbols as well as a library of
  standard definitions,
- it explains conflicts in terms of the grammar,
- it allows grammar specifications to be split over multiple files and
  parametrized by OCaml modules,
- it produces reentrant parsers.

%prep
%setup -q

%build
# PREFIX is there without %{buildroot} because it is used to write the
# lib path in the source
make PREFIX=/usr

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/menhirLib
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install PREFIX=%{buildroot}/usr

%files
%doc demos/
%doc manual.pdf
%{_bindir}/menhir
%{_mandir}/man1/menhir.1*
%{_datadir}/menhir/standard.mly
%dir %{_libdir}/ocaml/menhirLib
%{_libdir}/ocaml/menhirLib/*.cmi
%{_libdir}/ocaml/menhirLib/*.cmo
%{_libdir}/ocaml/menhirLib/*.cmx
%{_libdir}/ocaml/menhirLib/*.ml
%{_libdir}/ocaml/menhirLib/*.mli
%{_libdir}/ocaml/menhirLib/*.o
%{_libdir}/ocaml/menhirLib/META


%changelog
* Sun Sep 25 2016 pterjan <pterjan> 20151112-2.mga6
+ Revision: 1056218
- Rebuild for fix in ocaml

* Mon Feb 01 2016 pterjan <pterjan> 20151112-1.mga6
+ Revision: 930644
- Update to 20151112

* Wed Oct 15 2014 umeabot <umeabot> 20140422-4.mga5
+ Revision: 747316
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 malo <malo> 20140422-3.mga5
+ Revision: 714289
- fix requires

* Tue Sep 16 2014 umeabot <umeabot> 20140422-2.mga5
+ Revision: 682356
- Mageia 5 Mass Rebuild

* Sun Sep 14 2014 malo <malo> 20140422-1.mga5
+ Revision: 675200
- update to 20140422

* Sat Oct 19 2013 umeabot <umeabot> 20130911-3.mga4
+ Revision: 535765
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 malo <malo> 20130911-2.mga4
+ Revision: 482505
- fix PREFIX during install

* Fri Sep 20 2013 malo <malo> 20130911-1.mga4
+ Revision: 482434
- new version 20130911

* Sun Jun 09 2013 malo <malo> 20130116-1.mga4
+ Revision: 441325
- new version 20130116

* Sat Jan 12 2013 umeabot <umeabot> 20120123-5.mga3
+ Revision: 359954
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 malo <malo> 20120123-4.mga3
+ Revision: 308239
- rebuild for ocaml-4.0.1

* Mon Oct 01 2012 blue_prawn <blue_prawn> 20120123-3.mga3
+ Revision: 301096
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 20120123-2.mga3
+ Revision: 300494
- new rpm group for ocaml

* Tue Aug 21 2012 blue_prawn <blue_prawn> 20120123-1.mga3
+ Revision: 282996
- updated to last version 20120123

* Thu Jan 12 2012 blue_prawn <blue_prawn> 20120109-1.mga2
+ Revision: 195177
- added req ocaml-findlib and fixed PREFIX in %%build
- fixed prefix
- corrected dest lib dir
- imported package menhir

